/*
***********************************************************************************************************************
*                                     Simple LED blinking program for LPC2103
*
* Programmer 	: 	John Leung, TechToys. Hong Kong
* Web presence  : 	www.TechToys.com.hk
* Language		: 	Keil C uVision 3.53 Demo Version
* Hardware		: 	LPC2103-Eval-1A
* Date			: 	10th Oct 2007
* File			: 	Blinky_main.h
* Note			: 	This is the first example program for LPC2103 system.c is the first src to look at since it defines 
*					the Fcclk with sysInit() function being the first to be called from main() plus it is taking care 
*					of the cpu clock speed by setting various registers incl. PLLCFG, PLLCON, etc.
* 					The Memory Accelerator Module has been configured as well in sysInit()
***********************************************************************************************************************
*/            

#include <LPC2103.H>
#include "..\SYSTEM\system.h"

#define LED				(1<<8)		 		//LED connected to P0.8

#define LED_OFF			(IOSET=IOSET|LED)
#define LED_ON			(IOCLR=IOCLR|LED)

										 
/* simple software delay function */
void Delay (unsigned int i)
{                        
	unsigned int n;

	while(i>1)
	{
		for(n=65535;n>1;n--);
		i--;
	}
}

/* main function */
int main (void)
{
		sysInit();							//Set CCLK and PCLK to 60MHz 
		LED_OFF;							//set LED off to start with
		IODIR = IODIR|LED;					//Set LED pin as output
			
		for(;;){
			LED_ON;
			Delay(20);						//simple software delay
			LED_OFF;
			Delay(20);
		}

		return (0);
}
